Package org.eclipse.emf.compare.ide.ui.logical

# Enum Class IStorageProviderAccessor.DiffSide

java.lang.Object
java.lang.Enum<IStorageProviderAccessor.DiffSide>
org.eclipse.emf.compare.ide.ui.logical.IStorageProviderAccessor.DiffSide

All Implemented Interfaces:
  `Serializable`, `Comparable<IStorageProviderAccessor.DiffSide>`, `java.lang.constant.Constable`

Enclosing interface:
  IStorageProviderAccessor

public static enum IStorageProviderAccessor.DiffSide extends Enum<IStorageProviderAccessor.DiffSide>
Used by the resolution process to determine the side of the revision to fetch.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ORIGIN`
Origin side.
`REMOTE`
Remote side.
`SOURCE`
Source side.

## Method Summary

Modifier and Type
Method
Description
`static IStorageProviderAccessor.DiffSide`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStorageProviderAccessor.DiffSide[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOURCE

public static final IStorageProviderAccessor.DiffSide SOURCE
Source side. Usually denotes "left" or "local" content.

### REMOTE

public static final IStorageProviderAccessor.DiffSide REMOTE
Remote side. Usually denotes the "right" or "reference" content for a comparison.

### ORIGIN

public static final IStorageProviderAccessor.DiffSide ORIGIN
Origin side. Corresponds to the common ancestor of the local and remote sides.

## Method Details

### values

public static IStorageProviderAccessor.DiffSide[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStorageProviderAccessor.DiffSide valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null